{% set PageTitle = "Form Components" %}

{% extends "master.html" %}

{% block main %}
<div id="foop"></div>
  <div id="form-a"></div>
  <div id="form-b"></div>
  <div id="form-c"></div>
{% endblock %}

{% block styles %}

{% endblock %}

{% block scripts %}



<script>
  window.addEventListener('load', function(){
ReactDOM.render(React.createElement(Components.Form, {
   "endpoint":"/api/form/submit/Marketing",
   "id":"Marketing consent",
   "product":"Marketing",
   "heading":"So, how shall we get in touch with you about our products, special offers and research?",
   "intro":"Please be aware, as we sometimes select our data 4-6 weeks in advance of marketing activity to ensure that it is processed accurately, it can sometimes take up to one month to complete your request. This means that you may still receive information on our products, services and discounts within this time.",
   "submit":"Update marketing preferences",
   "errorTitle":"<p>Please check that you have completed all required fields.</p>",
   "success":{
      "heading":"Your marketing preferences have been updated :)",
      "content":"",
      "image":""
   },
   "failure":{
      "backText":"",
      "heading":"",
      "content":"",
      "image":""
   },
   "editButton":"",
   "groups":[
      {
         "id":"preferences ",
         "name":"How you&#39;d like to be contacted ",
         "subheading":"Tick as many as you like or leave them blank if you don&#39;t want to be contacted.",
         "image":"",
         "editButton":"",
         "fields":[
            {
               "type":"checkbox",
               "options":[
                  {
                     "label":"Email",
                     "value":"Email",
                     "selected":false
                  },
                  {
                     "label":"Post",
                     "value":"Post",
                     "selected":false
                  },
                  {
                     "label":"Phone",
                     "value":"Phone",
                     "selected":false
                  },
                  {
                     "label":"Text",
                     "value":"Text",
                     "selected":false
                  }
               ],
               "id":"Checkbox",
               "name":"",
               "label":"",
               "additional":"",
               "info":"",
               "value":"",
               "customError":"Please enter a valid Checkbox",
               "isRequired":false,
               "editButton":""
            }
         ]
      },
      {
         "id":"About you",
         "name":"Tell us a bit about yourself",
         "subheading":"",
         "image":"",
         "editButton":"",
         "fields":[
            {
               "type":"text",
               "placeholder":"",
               "size":"lg",
               "maxLength":null,
               "minLength":0,
               "id":"FirstName",
               "name":"",
               "label":"First name",
               "additional":"",
               "info":"",
               "value":null,
               "customError":"Please enter your first name",
               "isRequired":true,
               "editButton":""
            },
            {
               "type":"text",
               "placeholder":"",
               "size":"lg",
               "maxLength":null,
               "minLength":0,
               "id":"Surname",
               "name":"",
               "label":"Surname",
               "additional":"",
               "info":"",
               "value":null,
               "customError":"Please enter your surname",
               "isRequired":true,
               "editButton":""
            },
            {
               "placeholder":"",
               "type":"date",
               "id":"date of birth",
               "name":"Date of birth",
               "label":"Date of birth",
               "additional":"",
               "info":"",
               "value":null,
               "customError":"Please enter your date of birth",
               "isRequired":true,
               "editButton":""
            },
            {
               "type":"text",
               "placeholder":"",
               "size":"lg",
               "maxLength":null,
               "minLength":0,
               "id":"Email address",
               "name":"Email address",
               "label":"Email address",
               "additional":"",
               "info":"",
               "value":null,
               "customError":"Please enter your email address",
               "isRequired":true,
               "editButton":""
            },
            {
               "type":"text",
               "placeholder":"",
               "size":"lg",
               "maxLength":null,
               "minLength":0,
               "id":"Address line 1",
               "name":"",
               "label":"First line of your address",
               "additional":"",
               "info":"",
               "value":null,
               "customError":"Please enter the first line of your address",
               "isRequired":true,
               "editButton":""
            },
            {
               "type":"text",
               "placeholder":"",
               "size":"md",
               "maxLength":null,
               "minLength":0,
               "id":"Postcode",
               "name":"",
               "label":"Postcode",
               "additional":"",
               "info":"",
               "value":null,
               "customError":"Please enter your postcode",
               "isRequired":true,
               "editButton":""
            },
            {
               "type":"text",
               "placeholder":"",
               "size":"lg",
               "maxLength":null,
               "minLength":0,
               "id":"Home number",
               "name":"",
               "label":"Home number (optional)",
               "additional":"",
               "info":"",
               "value":null,
               "customError":"Please enter a valid Home number (optional)",
               "isRequired":false,
               "editButton":""
            },
            {
               "type":"text",
               "placeholder":"",
               "size":"lg",
               "maxLength":null,
               "minLength":0,
               "id":"Mobile number",
               "name":"",
               "label":"Mobile number (optional)",
               "additional":"",
               "info":"",
               "value":null,
               "customError":"Please enter a valid Mobile number (optional)",
               "isRequired":false,
               "editButton":""
            },
            {
               "type":"text",
               "placeholder":"",
               "size":"lg",
               "maxLength":null,
               "minLength":0,
               "id":"Policy number",
               "name":"",
               "label":"Policy number (optional)",
               "additional":"",
               "info":"",
               "value":null,
               "customError":"Please enter a valid Policy number (optional)",
               "isRequired":false,
               "editButton":""
            }
         ]
      }
   ],
   "testSuccess":true,
   "testFailure":false,
   "theme":{
      "themeName":"warm-grey",
      "themeBefore":"warm-grey",
      "themeAfter":null,
      "bottomCurveBefore":null,
      "topCurveAfter":null,
      "isFirstOnPage":false
   }
}), document.getElementById("foop"))
  })

</script>


  <script>
    window.addEventListener('load', function(){
  ReactDOM.render(React.createElement(Components.Form, {"endpoint":"/insurance/api/form/submit/travel","id":"Change email phone","product":"travel","heading":"","intro":"","submit":"Submit","errorTitle":"","success":{"heading":"We&#39;ve got it!","content":"<p>Thank you for letting us know.</p>\n<p>We'll start the process of changing your contact details and should be able to confirm this within the next 24 hours.</p>","image":""},"failure":{"backText":"","heading":"Oops, something went wrong","content":"Sorry about this, please complete the form again.","image":""},"editButton":"","groups":[{"id":"Personal details","name":"Your personal details","subheading":"Please use your existing address for this section&#160; &#160; &#160;* Denotes compulsory field&#160;","image":"","editButton":"","fields":[{"type":"text","placeholder":"e,g, Mr, Mrs, Miss, Ms, Dr","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"Title","name":"","label":"Title","additional":"","info":"","value":null,"customError":"Please enter a valid title ","isRequired":false,"editButton":""},{"type":"text","placeholder":"Please enter your first name","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"First name","name":"","label":"First name","additional":"","info":"","value":null,"customError":"Please enter a valid first name ","isRequired":false,"editButton":""},{"type":"text","placeholder":"Please enter your surname","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"Surname","name":"","label":"Surname","additional":"","info":"","value":null,"customError":"Please enter a valid surname ","isRequired":true,"editButton":""},{"type":"text","placeholder":"Please enter your address","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"Address 1","name":"Address 1","label":"Your address","additional":"Line 1","info":"","value":null,"customError":"Please enter a valid address ","isRequired":true,"editButton":""},{"type":"text","placeholder":"","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"Address 2","name":"Address 2","label":"","additional":"Line 2","info":"","value":null,"customError":"Please enter a valid address ","isRequired":false,"editButton":""},{"type":"text","placeholder":"","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"Address 3","name":"Address 3","label":"","additional":"Line 3","info":"","value":null,"customError":"Please enter a valid address ","isRequired":false,"editButton":""},{"type":"text","placeholder":"","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"Address 4","name":"Address 4","label":"","additional":"Line 4","info":"","value":null,"customError":"Please enter a valid address ","isRequired":false,"editButton":""},{"type":"text","placeholder":"Please enter your post code","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"Post code","name":"Post code","label":"Your post code","additional":"","info":"","value":null,"customError":"Please enter a valid post code ","isRequired":true,"editButton":""},{"type":"number","hasSpinners":false,"placeholder":"Please enter your telephone number","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"Telephone number","name":"Telephone number","label":"Your telephone number","additional":"","info":"","value":null,"customError":"Please enter a valid number ","isRequired":true,"editButton":""},{"type":"email","placeholder":"","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"Email address","name":"Email address","label":"Your current email address","additional":"","info":"","value":null,"customError":"Please enter a valid email address","isRequired":false,"editButton":""},{"placeholder":"","type":"date","id":"DOB","name":"$name","label":"Date of birth","additional":"","info":"","value":null,"customError":"Please enter a valid date ","isRequired":true,"editButton":""}]},{"id":"How can we help?","name":"How can we help?","subheading":"","image":"","editButton":"","fields":[{"type":"email","placeholder":"Please enter your new email address","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"New email address","name":"New email address (if applicable)","label":"New email address (if applicable)","additional":"","info":"","value":null,"customError":"Please enter a valid New email address (if applicable)","isRequired":false,"editButton":""},{"type":"number","hasSpinners":false,"placeholder":"","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"new home phone","name":"New home phone number (if applicable)","label":"New home phone number (if applicable)","additional":"","info":"","value":null,"customError":"Please enter a valid New home phone number (if applicable)","isRequired":false,"editButton":""},{"type":"number","hasSpinners":false,"placeholder":"","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"new mobile phone","name":"New mobile phone number (if applicable)","label":"New mobile phone number (if applicable)","additional":"","info":"","value":null,"customError":"Please enter a valid mobile number ","isRequired":false,"editButton":""},{"type":"number","hasSpinners":false,"placeholder":"","size":"lg","maxLength":null,"minLength":0,"pattern":"","id":"new work phone","name":"New work phone number (if applicable)","label":"New work phone number (if applicable)","additional":"","info":"","value":null,"customError":"Please enter a valid mobile number ","isRequired":false,"editButton":""},{"type":"radio","options":[{"label":"Yes","value":"Yes","selected":false},{"label":" No","value":" No","selected":false}],"id":"Do you know your policy number","name":"Do you know your policy number","label":"Do you know your policy number","additional":"","info":"","value":"","customError":"Please enter a valid Do you know your policy number","isRequired":true,"editButton":""},{"type":"checkbox","options":[{"label":"car","value":"car","selected":false},{"label":"travel","value":"travel","selected":false},{"label":"pet","value":"pet","selected":false},{"label":"breakdown","value":"breakdown","selected":false}],"isAllRequired":true,"id":"changes to other policies","name":"changes to other policies","label":"Do you need to make this change to any other policies?","additional":"(Tick as many boxes as you like and we&#39;ll do the rest)","info":"","value":"","customError":"Please enter a valid Do you need to make this change to any other policies?","isRequired":false,"editButton":""}]}],"testSuccess":false,"testFailure":false,"theme":{"themeName":"warm-grey","themeProperties":{"name":"warm-grey","startColour":"#FCF9F2","endColour":""},"themeBeforeProperties":{"name":"clover","startColour":"#107b27","endColour":"#a0d007"},"themeBefore":"clover","themeAfterProperties":null,"themeAfter":null,"bottomCurveBefore":null,"topCurveAfter":null,"isFirstOnPage":false}}), document.getElementById("form-c"))
    })

  </script>



  <script>
    window.addEventListener('load', function(){
  ReactDOM.render(React.createElement(Components.Form, {
  		id	 : 'forma',
  		endpoint : "dist/json/form.json",
        //heading : 'We need to know a bit more about you',
        submit : 'Submit this form',
        theme : {
        	themeName : 'warm-grey',
        	themeBefore : 'warm-grey'
        },
        success : {
        	heading : 'Thanks for reaching out to us',
        	content : `We'll be in touch with you within the next 3 working days and contact you by phone or email. Speak soon.`,
        	image : `<img src="dist/images/cms/flourish-insurance.svg" />`
        },
        failure : {
        	heading : 'Oops, something went wrong',
        	content : `We haven't received any of your details because of a technical error. Please resubmit the form or try again later.`,
        	backText : 'Go back to the form',
        	image : `<img src="dist/images/cms/flourish-insurance.svg" />`
        },
        heading: 'Copy that introduces the form below',
        intro: 'Short description of the form and what is is required from there user to do on the page',
	    groups:[
          {
            name : 'Single line input field examples',
            id : 'group1',
            fields:[
              {
              	id : 'de1',
                type : 'text',
                label : 'Empty input field',
                placeholder : 'Sub text',
                customError : 'Please enter a correct [data]',
                isRequired : true
              }
             ]
          }
        ]
	  }), document.getElementById("form-a"));

	ReactDOM.render(React.createElement(Components.Form, {
  		id	 : 'form',
  		endpoint : "dist/json/form.json",
        //heading : 'We need to know a bit more about you',
        submit : 'Submit this form',
        theme : {
        	themeName : 'warm-grey',
        	themeBefore : 'warm-grey'
        },
        success : {
        	heading : 'Thanks for reaching out to us',
        	content : `We'll be in touch with you within the next 3 working days and contact you by phone or email. Speak soon.`,
        	image : `<img src="dist/images/cms/flourish-insurance.svg" />`
        },
        failure : {
        	heading : 'Oops, something went wrong',
        	content : `We haven't received any of your details because of a technical error. Please resubmit the form or try again later.`,
        	backText : 'Go back to the form',
        	image : `<img src="dist/images/cms/flourish-insurance.svg" />`
        },
	    groups:[
          {
            name : 'Single line input field examples',
            id : 'group1',
            image:  `<img src="dist/images/cms/flourish-insurance.svg" />`,
            fields:[
              {
                id : 'fe1',
                type : 'text',
                label : 'Empty input field',
                placeholder : 'Sub text',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },
              {
              	id : 'fe2',
                type : 'text',
                label : 'Empty input field',
                placeholder : 'Sub text',
                value : 'Completed field',
                customError : 'Please enter a correct [data]',
                isRequired : true
              },
             ]
          },
          {
            name : '',
            id : 'group2',
            fields:[
              {
              	id : 'fe3',
                type : 'text',
                label : 'Large width input field (e.g. names)',
                placeholder : 'First name(s)',
                customError : 'Please enter a correct [data]',
                isRequired : true
              },
              {
              	id : 'fe4',
                type : 'text',
                label : 'Medium width input field (e.g. insurance number)',
                placeholder : 'Insurance number',
                size : 'md',
                customError : 'Please enter a correct [data]',
                isRequired : true,
                data : {
                	alphanumeric : true
                }
              },
              {
              	id : 'fe5',
                type : 'text',
                label : 'Small width input field (e.g. postcodes)',
                placeholder : 'SW20 4WW',
                size : 'sm',
                customError : 'Please enter a correct [data]',
                isRequired : true,
                data : {
                	// pattern : '^[A-Z]{1,2}[0-9][0-9A-Z]? ?[0-9][A-Z]{2}$'
                }
              },
             ]
          },
          {
            name : 'Header and sub text example',
            subheading : 'Forms fields can be grouped into a section, this can contain a header and sub text.',
            id : 'group3',
            fields:[
              {
              	id : 'fe6',
                type : 'text',
                label : 'Label input field',
                additional : 'Sub text that shows an example, like: 28/12/1965',
                placeholder : 'Sub text',
                customError : 'Please enter a correct [data]',
                isRequired : true
              },
             ]
          },
          {
            name : 'Tooltip example',
            id : 'group4',
            fields:[
              {
              	id : 'fe7',
                type : 'text',
                label : 'Input field with tool tip',
                placeholder : 'Sub text',
                customError : 'Please enter a correct [data]',
                isRequired : true,
                info : `
					<b>Your correspondence address:</b><br />
					We'll send your documents to this address.
                `
              },
              {
              	id : 'fe8',
                type : 'text',
                label : 'Input field with tool tip',
                placeholder : 'Sub text',
                size : 'md',
                customError : 'Please enter a correct [data]',
                isRequired : true,
                info : `
					<b>Your correspondence address:</b><br />
					We'll send your documents to this address.
                `
              },
              {
              	id : 'fe9',
                type : 'text',
                label : 'Input field with tool tip',
                placeholder : 'Sub text',
                size : 'sm',
                customError : 'Please enter a correct [data]',
                isRequired : true,
                info : `
					<b>Your correspondence address:</b><br />
					We'll send your documents to this address.
                `
              }
             ]
          },
          {
            name : 'Multi line input field examples',
            id : 'group5',
            fields:[
              {
              	id : 'fe10',
                type : 'textarea',
                label : 'Empty multi line input field',
                placeholder : 'Describe the following here…',
                customError : 'Please enter a correct [data]',
                isRequired : true
              },
              {
              	id : 'fe11',
                type : 'textarea',
                label : 'Empty multi line input field',
                placeholder : 'Describe the following here…',
                value : 'Never gonna give you up, never gonna let you down, never gonna run around and desert you. Never gonna make you cry, never gonna say goodbye. Never gonna tell a lie and hurt you.',
                customError : 'Please enter a correct [data]',
                isRequired : true
              },
             ]
          },
          {
            name : 'Dropdown examples',
            id : 'group6',
            fields:[
              {
              	id : 'fe12',
                type : 'select',
                label : 'Empty dropdown field',
                options : [{
                    label:'Country label 1',
                    value:'countryValue1',
                    selected:false,
                  }, {
                    label:'Country label 2',
                    value:'countryValue2',
                    selected:false,
                  },{
                    label:'Country label 3 Selected',
                    value:'countryValue3',
                    selected:true,
                  },{
                    label:'Country label 4',
                    value:'countryValue4',
                    selected:false,
                  },{
                    label:'Country label 5',
                    value:'countryValue5',
                    selected:false,
                  }
                ],
                placeholder : 'Describe the following here…',
                customError : 'Please enter a correct [data]',
                isRequired : true
              },
             ]
          },
          {
            name : 'Checkbox examples',
            id : 'group7',
            fields:[
              {
              	id : 'fe13',
                type : 'checkbox',
                label : 'Checkbox',
                options: [{
                    label:'Is this the real life?',
                    value:'checkboxex1',
                    selected:false,
                  },
                  {
                    label:'Is this just fantasy? Caught in a landslide, no escape from reality.',
                    value:'checkboxex2',
                    selected:false,
                  }],
                customError : 'Please enter a correct [data]',
                isRequired : true,
              }
             ]
          },
          {
            name : 'Radio button examples',
            id : 'group8',
            fields:[
              {
              	id : 'fe14',
                type : 'radio',
                label : 'Radio',
                options: [{
                  label:'Radio button examples',
                  value:'radioex1',
                  selected:false,
                },
                {
                	id : 'fe15',
                 	label : 'I really mean to learn, cause we\'re living in a world of fools',
                 	value : 'radioex2',
                 	selected : false,
                },
                {
                	id : 'fe16',
                 	label : 'Breaking us down, when they all should let us be, we belong to you and me',
                 	value : 'radioex3',
                 	selected : false,
                }],
                customError : 'Please enter a correct [data]',
                isRequired : true,
              }
             ]
          },
          {
            name : 'File upload example',
            id : 'group9',
            fields:[
              {
              	id : 'fe17',
                type : 'file',
                additional : 'Max file size 5MB',
                placeholder : 'No file selected',
                label : 'Choose a file',
                customError : 'No file selected',
                isRequired : true,
                data : {
                	size : .5,
                	accept : '.jpg, .png, .doc'
                }
              }
             ]
          },
          {
            name : 'Input types',
            id : 'group10',
            fields:[
              {
              	id : 'fe18',
                type : 'text',
                label : 'Text b',
                additional : 'Sub text that shows an example, like: 28/12/1965',
                placeholder : 'some placeholder copy',
                customError : 'Please enter a correct [data]',
                isRequired : true
              },
              {
              	id : 'fe19',
                type : 'textarea',
                label : 'Textarea',
                customError : 'Please enter a correct [data]',
                isRequired : true,
                maxLength : 20
              },
              {
              	id : 'fe20',
                type : 'password',
                label : 'Password',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },/*
              {
                type : 'color',
                label : 'Color',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },*/
              {
              	id : 'fe21',
                type : 'date',
                label : 'Date',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },/*
              {
                type : 'datetime-local',
                label : 'Datetime Local',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },*/
              {
              	id : 'fe22',
                type : 'email',
                label : 'Email',
                placeholder : 'joe.bloggs@example.com',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },/*
              {
                type : 'month',
                label : 'Month',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },*/
              /*
              {
                type : 'search',
                label : 'Search',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },*/
              /*{
                type : 'tel',
                label : 'Tel',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },*/
              /*
              {
                type : 'time',
                label : 'Time',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },*/
              /*{
                type : 'url',
                label : 'Url',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },*/
              /*{
                type : 'week',
                label : 'Week',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },*/
              {
              	id : 'fe23',
                type : 'number',
                label : 'Number',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },
              {
              	id : 'fe24',
                type : 'file',
                label : 'File',
                customError : 'Please enter a correct [data]',
                isRequired : false,
              },/*
              {
                type : 'range',
                label : 'Range',
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },*/
              {
              	id : 'fe25',
                type : 'radio',
                label : 'Radio',
                options: [{
                    label:'10-19',
                    value:'ageval1',
                    selected:false,
                  },
                  {
                    label:'20-29',
                    value:'ageval2',
                    selected:false,
                  },
                  {
                    label:'30-39',
                    value:'ageval3',
                    selected:true,
                  },
                  {
                    label:'40+',
                    value:'ageval4',
                    selected:false,
                  }],
                customError : 'Please enter a correct [data]',
                isRequired : true,
                info : `some additional note can go here`
              },
              {
              	id : 'fe26',
                type : 'checkbox',
                label : 'Checkbox',
                options: [{
                    label:'10-19',
                    value:'checkbox1',
                    selected:false,
                  },
                  {
                    label:'20-29',
                    value:'checkbox2',
                    selected:false,
                  },
                  {
                    label:'30-39',
                    value:'checkbox3',
                    selected:true,
                  },
                  {
                    label:'40+',
                    value:'checkbox4',
                    selected:false,
                  }],
                customError : 'Please enter a correct [data]',
                isRequired : true,
              },
              {
              	id : 'fe27',
                type : 'select',
                label : 'Select',
                options : [{
                    label:'10-19',
                    value:'ageval1',
                    selected:false,
                  },
                  {
                    label:'20-29',
                    value:'ageval2',
                    selected:false,
                  },
                  {
                    label:'30-39',
                    value:'ageval3',
                    selected:true,
                  },
                  {
                    label:'40+',
                    value:'ageval4',
                    selected:false,
                  }],
                customError : 'Please enter a correct [data]',
                isRequired : true,
              }
            ]
          }
        ],
	  }), document.getElementById("form-b"));
  })
    </script>
{% endblock %}

{% block header %}
	<script>
    window.addEventListener('load', function(){
	  ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
	  	isProductHeader:true,
	  	theme: {
        	themeAfter: 'warm-grey'
        },
      desktopImage:{
        html:'<img src="dist/images/placeholder/bg__d_Investment.jpg" alt="" />',
        src:'dist/images/placeholder/bg__d_Investment.jpg',
        altText:'alt text goes here'
      },
	    mobImage:{
        html:'<img src="dist/images/placeholder/bg__m_Travel.jpg" alt="" />',
        src:'dist/images/placeholder/bg__m_Travel.jpg',
        altText:'alt text goes here'
      },
      label:"Forms",
      article:{
        headline:"Form examples"
      }
    }), document.getElementById("HeaderBanner"));
  })
	</script>
{% endblock %}

{% block NavBreadcrumb %}
<script>
  window.addEventListener('load', function(){
	ReactDOM.render(React.createElement(Components.Breadcrumb, {
      items: [
          {
            label: "Components",
            url: "components.html",
            linkRel:"noreferrer"
          },
          {
            label: "Forms",
            url: ""
          }
      ]
  }), document.getElementById("breadcrumb"));
})
</script>
{% endblock %}

